package com.agiledeveloper;

import rx.Observable;
import rx.Subscriber;
import rx.functions.Action1;

import java.util.Arrays;
import java.util.List;

public class Sample {
  public static void main(String[] args) {
    MovieServer server = new MovieServer();

    List<String> movieNames = Arrays.asList("Beautiful Mind", "A few good men", "Forrest Gump");

    Observable<String> directors = server.getDirectors(movieNames);
    directors.subscribe(new Subscriber<String>() {
      @Override
      public void onCompleted() {
        System.out.println("done receiving...");
      }

      @Override
      public void onError(Throwable throwable) {
        System.out.println("got an error");
      }

      @Override
      public void onNext(String directorInfo) {
        System.out.println(directorInfo);
        //Try commenting out the two lines below
        if(directorInfo.startsWith("A"))
          unsubscribe();
      }
    });
  }
}